ModernizationTestingResource

JSON representation
{
  "kind": string,
  "id": string,
  "creationTimestamp": string,
  "name": string,
  "description": string,
  "selfLink": string,
  "selfLinkWithId": string,
  "region": string,
  "zone": string,
  "rules": string,
  "labels": {
    string: string,
    ...
  },
  "allOptionalFields": {
    object (AllOptionalFields)
  },
  "repeatedFields": {
    object (RepeatedFields)
  }
}
Fields
kind

string

[Output Only] Type of the resource. Always

compute#modernizationTestingResource

for ModernizationTestingResources.

id

string (uint64 format)

[Output Only] The unique identifier for the resource. This identifier is defined by the server.

creationTimestamp

string

[Output Only] Creation timestamp in RFC3339 text format.

name

string

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

description

string

An optional description of this resource. Provide this property when you create the resource.

region

string

[Output Only] URL of the region where the resource resides. Only applicable for regional resources. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

zone

string

[Output Only] URL of the zone where the resource resides. Only applicable for zonal resources. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

rules

string (bytes format)

Stores {@link cloud.cluster.manager.common.Rules} in binary format. Settings for integration testing. Allows to mock CLH behaviour.

A base64-encoded string.

labels

map (key: string, value: string)

Labels as key value pairs.

allOptionalFields

object (AllOptionalFields)

All types optional fields for list filtering testing.

repeatedFields

object (RepeatedFields)

Repeated fields for list filtering testing.

AllOptionalFields

Message with fields of all scalar types for list filtering testing.

JSON representation
{
  "int32Value": integer,
  "int64Value": string,
  "sint32Value": integer,
  "sint64Value": string,
  "uint32Value": integer,
  "uint64Value": string,
  "fixed32Value": integer,
  "fixed64Value": string,
  "stringValue": string,
  "bytesValue": string,
  "enumValue": enum (Enum),
  "floatValue": number,
  "doubleValue": number,
  "boolValue": boolean,
  "timestampValue": string,
  "durationValue": string,
  "enumValueWithDefault": enum (Enum),
  "enumWithoutZeroValue": enum (EnumWithoutZero),
  "enumWithoutZeroValueWithDefault": enum (EnumWithoutZero)
}
Fields
int32Value

integer

int64Value

string (int64 format)

sint32Value

integer

sint64Value

string (int64 format)

uint32Value

integer (uint32 format)

uint64Value

string

fixed32Value

integer

fixed64Value

string (uint64 format)

stringValue

string

bytesValue

string (bytes format)

A base64-encoded string.

enumValue

enum (Enum)

floatValue

number

doubleValue

number

boolValue

boolean

timestampValue

string (Timestamp format)

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

durationValue

string (Duration format)

A duration in seconds with up to nine fractional digits, ending with 's'. Example: "3.5s".

enumValueWithDefault

enum (Enum)

enumWithoutZeroValue

enum (EnumWithoutZero)

enumWithoutZeroValueWithDefault

enum (EnumWithoutZero)

RepeatedFields

Message with repeated fields for list filtering testing.

JSON representation
{
  "int32Values": [
    integer
  ],
  "stringValues": [
    string
  ],
  "enumValues": [
    enum (RepeatedEnum)
  ]
}
Fields
int32Values[]

integer

stringValues[]

string

enumValues[]

enum (RepeatedEnum)